org.apache.tamaya.builder

## Class SimplePropertySource

- java.lang.Object
- - org.apache.tamaya.builder.SimplePropertySource

- All Implemented Interfaces:
    PropertySource

      public class SimplePropertySource
      extends Object
      implements PropertySource

  Simple property source implementation using a map.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tamaya.spi.PropertySource

      `TAMAYA_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePropertySource(String name, Map<String,String> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `int` | `getDefaultOrdinal()`
    `String` | `getName()`
    `int` | `getOrdinal()`
    `Map<String,String>` | `getProperties()`
    `boolean` | `isScannable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePropertySource

          public SimplePropertySource(String name,
                                      Map<String,String> properties)

  - ### Method Detail

    - #### getOrdinal

          public int getOrdinal()

      Specified by:
        `getOrdinal` in interface `PropertySource`

    - #### getDefaultOrdinal

          public int getDefaultOrdinal()

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `PropertySource`

    - #### get

          public String get(String key)

      Specified by:
        `get` in interface `PropertySource`

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `PropertySource`

    - #### isScannable

          public boolean isScannable()

      Specified by:
        `isScannable` in interface `PropertySource`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 Apache Software Foundation. All rights reserved.